> ## Documentation Index
> Fetch the complete documentation index at: https://lightdash-feature-prod-8453-51bb.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create share URL

> Given a full URL generates a short url id that can be used for sharing



## OpenAPI

````yaml https://raw.githubusercontent.com/lightdash/lightdash/refs/heads/main/packages/backend/src/generated/swagger.json post /api/v1/share
openapi: 3.0.0
info:
  title: Lightdash API
  version: 0.3225.0
  description: >
    Open API documentation for all public Lightdash API endpoints. #
    Authentication Before you get started, you might need to create a Personal
    Access Token to authenticate via the API. You can create a token by
    following this guide: https://docs.lightdash.com/references/personal_tokens
  license:
    name: MIT
  contact:
    name: Lightdash Support
    email: support@lightdash.com
    url: https://docs.lightdash.com/help-and-contact/contact/contact_info/
servers:
  - url: /
security: []
tags:
  - name: My Account
    description: These routes allow users to manage their own user account.
  - name: Organizations
    description: >-
      Each user is a member of a single organization. These routes allow users
      to manage their organization. Most actions are only available to admin
      users.
  - name: Projects
    description: >-
      Projects belong to a single organization. These routes allow users to
      manage their projects, browse content, and execute queries. Users inside
      an organization might have access to a project from an organization-level
      role or they might be granted access to a project directly.
  - name: Spaces
    description: >-
      Spaces allow you to organize charts and dashboards within a project. They
      also allow granular access to content by allowing you to create private
      spaces, which are only accessible to the creator and admins.
  - name: Roles & Permissions
    description: >-
      These routes allow users to manage roles and permissions for their
      organization.
    externalDocs:
      url: https://docs.lightdash.com/references/roles
  - name: Query
    description: >-
      These routes allow users to execute and manage queries against their data
      warehouse. This includes metric queries, SQL queries, and retrieving query
      results.
paths:
  /api/v1/share:
    post:
      tags:
        - Share links
      summary: Create share URL
      description: Given a full URL generates a short url id that can be used for sharing
      operationId: CreateShareUrl
      parameters: []
      requestBody:
        description: a full URL used to generate a short url id
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateShareUrl'
              description: a full URL used to generate a short url id
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiShareResponse'
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorPayload'
      security: []
components:
  schemas:
    CreateShareUrl:
      $ref: '#/components/schemas/Pick_ShareUrl.path-or-params_'
      description: Contains the detail of a full URL to generate a short URL id
    ApiShareResponse:
      properties:
        results:
          $ref: '#/components/schemas/ShareUrl'
        status:
          type: string
          enum:
            - ok
          nullable: false
      required:
        - results
        - status
      type: object
    ApiErrorPayload:
      properties:
        error:
          properties:
            data:
              $ref: '#/components/schemas/AnyType'
              description: Optional data containing details of the error
            message:
              type: string
              description: A friendly message summarising the error
            name:
              type: string
              description: Unique name for the type of error
            statusCode:
              type: number
              format: integer
              description: HTTP status code
          required:
            - name
            - statusCode
          type: object
        status:
          type: string
          enum:
            - error
          nullable: false
      required:
        - error
        - status
      type: object
      description: |-
        The Error object is returned from the api any time there is an error.
        The message contains
    Pick_ShareUrl.path-or-params_:
      properties:
        path:
          type: string
          description: The URL path of the full URL
        params:
          type: string
      required:
        - path
        - params
      type: object
      description: From T, pick a set of properties whose keys are in the union K
    ShareUrl:
      properties:
        host:
          type: string
        url:
          type: string
        shareUrl:
          type: string
        organizationUuid:
          type: string
          format: uuid
        createdByUserUuid:
          type: string
          format: uuid
        params:
          type: string
        path:
          type: string
          description: The URL path of the full URL
        nanoid:
          type: string
          description: Unique shareable id
      required:
        - params
        - path
        - nanoid
      type: object
      description: |-
        A ShareUrl maps a short shareable id to a full URL
        in the Lightdash UI. This allows very long URLs
        to be represented by short ids.
    AnyType:
      description: |-
        This AnyType is an alias for any
        The goal is to make it easier to identify any type in the codebase
        without having to eslint-disable all the time
        These are only used on legacy `any` types, don't use it for new types.
        This is added on a separate file to avoid circular dependencies.

````